Bug 1317014 (CVE-2016-2185) - CVE-2016-2185 kernel: Kernel panic on invalid USB device descriptor (ati_remote2 driver)
Summary: CVE-2016-2185 kernel: Kernel panic on invalid USB device descriptor (ati_remo...
Status: CLOSED WONTFIX
Alias: CVE-2016-2185
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160314,reported=2...
Keywords: Security
Depends On: 1283362 1283363 1317010 1317471
Blocks: 1317020
TreeView+ depends on / blocked
 
Reported: 2016-03-11 17:13 UTC by Adam Mariš
Modified: 2019-06-08 21:04 UTC (History)
26 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-03-23 16:21:59 UTC


Attachments (Terms of Use)
ati-remote2-null-deref.patch (3.12 KB, patch)
2016-03-23 15:56 UTC, Vladis Dronov
no flags Details | Diff

Description Adam Mariš 2016-03-11 17:13:48 UTC
A flaw was found in in the Linux kernel's USB device management code which could cause a kernel panic when a device which required ati_remote2 kernel module.  The kernel would panic causing null pointer dereference attempting to access a non existent interface descriptor.  The ati_remote2 driver assumes that there will be at least two interface-descriptors with associated endpoint-descriptors. 


Product bugs:

https://bugzilla.redhat.com/show_bug.cgi?id=1283362
https://bugzilla.redhat.com/show_bug.cgi?id=1283363

Public via:

http://seclists.org/bugtraq/2016/Mar/90

Red Hat assigned CVE-2016-2185  to this issue.

Upstream patch:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=950336ba3e4a1ffd2ca60d29f6ef386dd2c7351d

Comment 1 Adam Mariš 2016-03-11 17:14:04 UTC
Acknowledgments:

Name: Ralf Spenneberg (OpenSource Security)

Comment 3 Adam Mariš 2016-03-14 10:31:30 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1317471]

Comment 4 Vladis Dronov 2016-03-23 15:16:34 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 5 Vladis Dronov 2016-03-23 15:56 UTC
Created attachment 1139648 [details]
ati-remote2-null-deref.patch

Comment 7 Fedora Update System 2016-04-02 00:43:21 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-04-02 15:51:11 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-08 15:52:56 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-08 20:20:39 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.